<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.itdmFirstPage.mapper.ItdmTaskMapper">

    <select id="queryTaskList" parameterType="org.jeecg.modules.itdmFirstPage.dto.ItdmTaskQueryDTO" resultType="org.jeecg.modules.itdmFirstPage.vo.ItdmTaskListVO">
        select t.id ,t.task_content,t.task_status,t.task_role ,t.task_user,t.weituo_id,t.remark,
        w.weituo_client, w.weituo_no
        from itdm_task t
        left join itdm_weituo_info w on t.weituo_id = w.id
        <where>
            <if test="taskUser != null and taskUser != ''"> task_user = #{taskUser}</if>
            <if test="taskStatus != null "> and task_status = #{taskStatus}</if>
        </where>
    </select>

</mapper>
